Bug 221551 - Fix WebXRWebGLLayer m_isCompositionDisabled checks
Summary: Fix WebXRWebGLLayer m_isCompositionDisabled checks
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebXR (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Imanol Fernandez
URL:
Keywords: InRadar
Depends on:
Blocks: 208988
  Show dependency treegraph
 
Reported: 2021-02-08 07:05 PST by Imanol Fernandez
Modified: 2021-04-19 03:28 PDT (History)
2 users (show)

See Also:


Attachments
Patch (2.27 KB, patch)
2021-02-08 07:09 PST, Imanol Fernandez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Imanol Fernandez 2021-02-08 07:05:04 PST
m_isCompositionDisabled checks are reversed
Comment 1 Imanol Fernandez 2021-02-08 07:09:29 PST
Created attachment 419589 [details]
Patch
Comment 2 Sergio Villar Senin 2021-02-08 07:25:02 PST
Comment on attachment 419589 [details]
Patch

:) double negations. Good catch!
Comment 3 EWS 2021-02-08 08:14:40 PST
Committed r272491: <https://commits.webkit.org/r272491>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 419589 [details].
Comment 4 Radar WebKit Bug Importer 2021-02-10 14:33:33 PST
<rdar://problem/74206649>